package ch.zhaw.projekt2.turnierverwaltung;

import java.util.ArrayList;
import java.util.List;

public class Team implements Participant {
    private String name;
    private List<Player> players;
    private Person contactPerson;

    public Team(String name){
        setName(name);
        players = new ArrayList<>();
    }

    public void addPlayer(Player player){
        players.add(player);
    }

    @Override
    public String getName() {
        return name;
    }

    @Override
    public void setName(String name) {
        this.name = name;
    }

    public Person getContactPerson() {
        return contactPerson;
    }

    public void setContactPerson(Person contactPerson) {
        this.contactPerson = contactPerson;
    }
}
